Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.torque.templates.transformer.jdbc2schema
Enum Jdbc2SchemaOptionName

    java.lang.Object
      java.lang.Enum<Jdbc2SchemaOptionName>
          org.apache.torque.templates.transformer.jdbc2schema.Jdbc2SchemaOptionName

All Implemented Interfaces:
  Serializable, Comparable<Jdbc2SchemaOptionName>, OptionName

    public enum Jdbc2SchemaOptionName

extends Enum<Jdbc2SchemaOptionName>
implements OptionName

The option names which are used in the java code of the jdbc2schema templates. $Id: Jdbc2SchemaOptionName.java 1331196 2012-04-27 02:56:12Z tfischer $

Enum Constant Summary
`DATABASE_NAME` The name of the database to generate.

Method Summary
`static void` | `checkRequiredOptions(ControllerState controllerState)` Checks whether all required options are set.
`String` | `getName()` Returns the name of the option.
`boolean` | `isRequired()` Returns whether this option must be set.
`String` | `toString()`
`static Jdbc2SchemaOptionName` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Jdbc2SchemaOptionName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DATABASE_NAME

    public static final Jdbc2SchemaOptionName DATABASE_NAME

  The name of the database to generate.

Method Detail

### values

    public static Jdbc2SchemaOptionName[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Jdbc2SchemaOptionName c : Jdbc2SchemaOptionName.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Jdbc2SchemaOptionName valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getName

    public String getName()

  Returns the name of the option.

  Specified by:
    `getName` in interface `OptionName`
  Returns:
    the fully qualified name of the option, not null.

### isRequired

    public boolean isRequired()

  Returns whether this option must be set.

  Returns:
    true if the option must be set, false if it may be set.

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Jdbc2SchemaOptionName>`

### checkRequiredOptions

    public static void checkRequiredOptions(ControllerState controllerState)
                                     throws SourceTransformerException

  Checks whether all required options are set.

  Parameters:
    `controllerState` - the current controller state, not null.
  Throws:
    `SourceTransformerException` - if a required option is not set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.